package main

import (
	"gitea.cdlsxd.cn/BaseSystem/plugin/shared"
	"github.com/hashicorp/go-plugin"
	"plugins/union_pay_redpack/internal"
)

func main() {
	plugin.Serve(&plugin.ServeConfig{
		HandshakeConfig: shared.HandshakeConfig(internal.Version, internal.CookieKey, internal.CookieValue),
		Plugins:         shared.PluginSet(shared.NewPlugin(&internal.UnionPayCpnService{}, internal.Tag)),
		GRPCServer:      plugin.DefaultGRPCServer,
	})
}
